Bug 21170 - Warnings in MARCdetail.pl - isn't numeric in numeric eq (==)
Summary: Warnings in MARCdetail.pl - isn't numeric in numeric eq (==)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2018-08-07 19:28 UTC by Jonathan Druart
Modified: 2019-02-25 07:06 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21170 Remove "isn't numeric in numeric eq (==)" warnings in MARCdetail (1.42 KB, patch)
2018-12-17 15:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21170 Remove "isn't numeric in numeric eq (==)" warnings in MARCdetail (1.49 KB, patch)
2018-12-21 21:13 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 21170: Remove "isn't numeric in numeric eq (==)" warnings in MARCdetail (1.55 KB, patch)
2019-01-18 13:08 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-08-07 19:28:11 UTC
Argument "GEN" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "FPL" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "FPL" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "GEN" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "2014-12-04" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "2014-12-04" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "BK" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "GEN" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "MPL" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "MPL" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "GEN" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "2014-12-04" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "2014-12-04" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "BK" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "GEN" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "CPL" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "CPL" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "GEN" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "2014-12-04" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "2014-12-04" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "BK" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "GEN" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "FPL" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "FPL" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "GEN" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "2014-12-04" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "2014-12-04" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Argument "BK" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 276.
Comment 1 Jonathan Druart 2018-12-17 15:57:59 UTC
Created attachment 83303 [details] [review]
Bug 21170 Remove "isn't numeric in numeric eq (==)" warnings in MARCdetail

Easily removed switching the two conditions.

Test plan:
Hit catalogue/MARCdetail.pl?biblionumber=1
=> Without this patch you will see in the log warnings like
  Argument "ddc" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 277.
=> With this patch applied the warnings do no longer appear
Comment 2 Pierre-Marc Thibault 2018-12-21 21:13:05 UTC
Created attachment 83471 [details] [review]
Bug 21170 Remove "isn't numeric in numeric eq (==)" warnings in MARCdetail

Easily removed switching the two conditions.

Test plan:
Hit catalogue/MARCdetail.pl?biblionumber=1
=> Without this patch you will see in the log warnings like
  Argument "ddc" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 277.
=> With this patch applied the warnings do no longer appear

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>
Comment 3 Tomás Cohen Arazi 2019-01-18 13:08:37 UTC
Created attachment 84190 [details] [review]
Bug 21170: Remove "isn't numeric in numeric eq (==)" warnings in MARCdetail

Easily removed switching the two conditions.

Test plan:
Hit catalogue/MARCdetail.pl?biblionumber=1
=> Without this patch you will see in the log warnings like
  Argument "ddc" isn't numeric in numeric eq (==) at /home/vagrant/kohaclone/catalogue/MARCdetail.pl line 277.
=> With this patch applied the warnings do no longer appear

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Nick Clemens 2019-01-18 20:57:38 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-01-31 16:11:09 UTC
Pushed to 18.11.x for 18.11.03
Comment 6 Lucas Gass 2019-02-01 14:54:34 UTC
pushed to 18.05.x for 18.05.09
Comment 7 Fridolin SOMERS 2019-02-04 09:32:11 UTC
Pushed to 17.11.x for 17.11.15